Name:           nodm
Version:        0.7
Release:        2%{?dist}
Summary:        A display manager automatically starting an X session

# nodm.cpp is under GPLv2+ and BSD (3 clause), config/install-sh with MIT/X11
License:        BSD and GPLv2+
URL:            http://www.enricozini.org/sw/%{name}
Source0:        %{url}/%{name}-%{version}.tar.gz
Source1:        %{name}.service

BuildRequires:  pam-devel
BuildRequires:  cmake
BuildRequires:  help2man
BuildRequires:  libtool
BuildRequires:  systemd-units
BuildRequires:  fakeroot

# runtime
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Requires:         systemd

%description
An automatic display manager which automatically starts an X session at
system boot. It is meant for devices like smartphones, but can be used
on a regular computer as well, if the security implications are acceptable.

%prep
%autosetup
sed -i 's,test_%{name} ,,' Makefile.am
# run autogen.sh since we patch configure.ac
# but don't run configure twice
NOCONFIGURE=true ./autogen.sh

%build
%configure
%make_build

%install
%make_install

install -m0644 %SOURCE1 -D %{buildroot}%{_unitdir}/%{name}.service

%check
fakeroot bash -c ./test_%{name} -


%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service 


%files
%license COPYING
%doc AUTHORS README
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
%{_unitdir}/%{name}.service

%changelog
* Thu Dec 17 2015 Raphael Groner <projects.rg@smart.ms> - 0.7-2
- add more systemd stuff
- adjust License tag

* Wed Dec 16 2015 Raphael Groner <projects.rg@smart.ms> - 0.7-1
- unretire, new upstream version

* Sun Feb 14 2010 Sebastian Dziallas <sebastian@when.com> - 0.6-2
- fix issue with DSO linking thanks to Mathieu Bridon

* Thu Jan 28 2010 Sebastian Dziallas <sebastian@when.com> - 0.6-1
- initial packaging
